/******************************************************************************
 * (c) Copyright 2002,2003, 1060 Research Ltd
 *
 * This Software is licensed to You, the licensee, for use under the terms of
 * the 1060 Public License v1.0. Please read and agree to the 1060 Public
 * License v1.0 [www.1060research.com/license] before using or redistributing
 * this software.
 *
 * In summary the 1060 Public license has the following conditions.
 * A. You may use the Software free of charge provided you agree to the terms
 * laid out in the 1060 Public License v1.0
 * B. You are only permitted to use the Software with components or applications
 * that provide you with OSI Certified Open Source Code [www.opensource.org], or
 * for which licensing has been approved by 1060 Research Limited.
 * You may write your own software for execution by this Software provided any
 * distribution of your software with this Software complies with terms set out
 * in section 2 of the 1060 Public License v1.0
 * C. You may redistribute the Software provided you comply with the terms of
 * the 1060 Public License v1.0 and that no warranty is implied or given.
 * D. If you find you are unable to comply with this license you may seek to
 * obtain an alternative license from 1060 Research Limited by contacting
 * license@1060research.com or by visiting www.1060research.com
 *
 * NO WARRANTY:  THIS SOFTWARE IS NOT COVERED BY ANY WARRANTY. SEE 1060 PUBLIC
 * LICENSE V1.0 FOR DETAILS
 *
 * THIS COPYRIGHT NOTICE IS *NOT* THE 1060 PUBLIC LICENSE v1.0. PLEASE READ
 * THE DISTRIBUTED 1060_Public_License.txt OR www.1060research.com/license
 *
 * File:          $RCSfile: ParameterUploadAspect.java,v $
 * Version:       $Name:  $ $Revision: 1.2 $
 * Last Modified: $Date: 2008/05/20 10:45:27 $
 *****************************************************************************/
package org.netkernel.http.transport.representation;

import org.netkernel.http.util.MultiPartRequest;
import org.netkernel.layer0.representation.IReadableBinaryStreamRepresentation;
import org.netkernel.layer0.util.Utils;
import java.io.*;

/**
 * BinaryStream from a multipart part
 * @author  tab
 */
public class ParameterUploadAspect implements IReadableBinaryStreamRepresentation
{
	private MultiPartRequest mRequest;
	private String mName;
	
	/** Creates a new instance of ParameterNVPProxy */
	public ParameterUploadAspect(MultiPartRequest aRequest, String aName)
	{	mRequest=aRequest;
		mName=aName;
	}

	public String getEncoding()
	{	return null; //unknown
	}
	
	public void write(java.io.OutputStream aStream) throws java.io.IOException
	{	InputStream is = mRequest.getInputStream(mName);
		Utils.pipeNoClose(is, aStream);
	}
	
	public int getContentLength()
	{	return mRequest.getContentLength(mName);
	}
	
	public InputStream getInputStream() throws IOException
	{	return mRequest.getInputStream(mName);
	}
	
}
